
Application: gvSIG desktop - gvSIG bugs #1449
Drawing internal arcs in polylines are not curved
12/04/2012 12:39 PM - Vicent Domenech

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2060 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Open gvSIG
Create a New View
Add Layer snap_lines.shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/snap_lines.zip)
In ToC select right button menu on layer selected and click Start edition
Go to menu Layer/Insert/Polyline
Add/Draw polylines
Click right button on view and select Internal Arc
Continue drawing two arcs
Click right button on view and select Internal line
Continue drawing lines
Click right button on view and select Close polyline
Check the drown arcs are not curved.

History
#1 - 12/07/2012 01:46 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-final

#2 - 12/12/2012 11:10 PM - Manuel Madrid
- Target version deleted (2.0.0-final)

#3 - 04/25/2013 02:43 PM - Manuel Madrid
- Priority changed from Normal to Urgent

#4 - 09/17/2013 05:19 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#5 - 09/20/2013 10:15 AM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Target version set to 2.1.0-2223-rc1

Using flatness from geometry manager when getting path of arcs.
http://downloads.gvsig.org/download/geodata/vector/SHP2D/snap_lines.zip


If users want more/less accuracy, they can use the popup menu while in editing mode:

Popup menu in TOC > Editing properties > Flatness

And increase/decrease the value.

gvsig-desktop:r40727

#6 - 01/13/2014 09:00 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#7 - 01/28/2014 09:38 AM - Álvaro Anguix
- Status changed from Fixed to Closed
